> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search by Hashtag

> Search YouTube and get matching videos, channels, and playlists

## Parameters

<ParamField query="hashtag" type="string" required>
  Hashtag to search for (e.g., `funny`)
</ParamField>

<ParamField query="continuationToken" type="string">
  Continuation token to get more videos. Get 'continuationToken' from previous response. (e.g., `4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB`)
</ParamField>

<ParamField query="type" type="string">
  Search for all types of content or only shorts
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/search/hashtag?hashtag=funny" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "videos": [
      {
        "type": "video",
        "id": "jXMISgQq9MM",
        "url": "https://www.youtube.com/watch?v=jXMISgQq9MM",
        "title": "Epic fails 🤣🤣🤣 #shorts #funny #fails",
        "thumbnail": "...",
        "channel": {
          "id": "...",
          "title": "ZZang Funny"
        },
        "viewCountInt": 22668056,
        "publishedTimeText": "4 weeks ago",
        "lengthText": "1:00",
        "lengthSeconds": 60
      }
    ],
    "continuationToken": "4qmFsgLtBRIJRkVoYX...."
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "search-hashtag",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
